Skip to main content
POST
/
generate
/
image
/
google
/
nano-banana-2
Nano Banana 2
curl --request POST \
  --url https://api.krea.ai/generate/image/google/nano-banana-2 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "Ice citadel, frost mages and snow beasts, in a cool, fantasy anime style."
}
'
{
  "job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "completed_at": null,
  "result": null
}

Documentation Index

Fetch the complete documentation index at: https://docs.krea.ai/llms.txt

Use this file to discover all available pages before exploring further.

Pricing

Fixed API prices in USD.
ResolutionPrice
1K$0.08
2K$0.12
4K$0.16
These aliases are accepted for compatibility only and are not shown in the request schema.
DeprecatedUse insteadAccepted until
imageUrlsimage_urls2026-06-19
aspectRatioaspect_ratio2026-06-19
styleImagesstyle_images2026-06-19

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Webhook-URL
string<uri>

URL to receive a POST request when the job completes. The webhook will receive the job data including results.

Body

application/json
prompt
string
required
Minimum string length: 3
width
number

Width of the generated image.

height
number

Height of the generated image.

image_urls
string<uri>[]

Image prompts to use for the generation. If provided, style images are ignored.

aspect_ratio
enum<string>
Available options:
4:1,
21:9,
1:1,
4:3,
3:2,
2:3,
5:4,
4:5,
3:4,
16:9,
9:16,
1:4,
1:8
resolution
enum<string>
default:1K
Available options:
1K,
2K,
4K
style_images
object[]

Image prompts to use for the generation

Response

The resulting job data. This will be returned in a pending state until the job is completed. See /jobs/{id} for retrieving the results.

job_id
string<uuid>
required
status
enum<string>
required
Available options:
backlogged,
queued,
scheduled,
processing,
sampling,
intermediate-complete,
completed,
failed,
cancelled
created_at
string<date-time>
required
completed_at
null
required
result
null
required